Avisos
Vaciar todo

Error lectura base de datos Woocomerce  

 
Luis Antonio
 Luis Antonio
Usuario activo

Buenos dias, podrian ayudarme a solucionar este error , en Soporte webempresa me recomendaron buscar ayuda en este FORO.


El error es muy claro: Woocommerce está intentando realizar una lectura en una tabla específica de la base de datos, wp_wc_admin_note_actions, y cuando esto ocurre, da error.

Hemos descartado todas las posibilidades de que fuese algún problema de optimización de la web, o una cuestión relacionada con el servidor, pero parece claro que Woocommerce está realizando esa llamada independientemente de las acciones que realicemos, y es la que está causando el problema.

[22-Jun-2021 22:26:50 UTC] Error MySQL server has gone away de la base de datos de WordPress para la consulta SELECT action_id, name, label, query, status, is_primary, actioned_text, nonce_action, nonce_name
FROM wp_wc_admin_note_actions
WHERE note_id = 5 realizada por require('wp-blog-header.php'), require_once('wp-load.php'), require_once('wp-config.php'), require_once('wp-settings.php'), do_action('init'), WP_Hook->do_action, WP_Hook->apply_filters, Automattic\WooCommerce\Admin\Install::check_version, do_action('woocommerce_admin_updated'), WP_Hook->do_action, WP_Hook->apply_filters, Automattic\WooCommerce\Admin\RemoteInboxNotifications\RemoteInboxNotificationsEngine::run_on_woocommerce_admin_updated, Automattic\WooCommerce\Admin\RemoteInboxNotifications\RemoteInboxNotificationsEngine::run, Automattic\WooCommerce\Admin\RemoteInboxNotifications\SpecRunner::run_spec, Automattic\WooCommerce\Admin\Notes\Notes::get_note, Automattic\WooCommerce\Admin\Notes\Note->__construct, WC_Data_Store->read, Automattic\WooCommerce\Admin\Notes\DataStore->read, Automattic\WooCommerce\Admin\Notes\DataStore->read_actions

Remíteles el registro de error que te puse, para que tengan el contexto del error que estás experimentando, y que el mismo se produce cuando intentar subir, editar o eliminar productos; muy posiblemente ellos si podrán dar con la causa de que se realice esta llamada a la base de datos, para que deje de hacerse, y así solucionar de forma definitiva el problema. Del lado de nuestro soporte en tickets (donde revisamos principalmente cuestiones relacionadas con el alojamiento) no detectamos nada más que ese problema, que es muy concreto y está causado exclusivamente por las llamadas que realiza Woocommerce a la base de datos.

 

 

Contenido solo visible a usuarios registrados

Citar
Respondido : 23/06/2021 2:08 am
Argenis
 Argenis
Soporte CMS Webempresa Moderator

Hola Luis,

Veo que tienes la versión 5.6 de php y tienes la última versión de wordpress, es posible que esto esté ocasionando el problema. Verifica el aumentar la versión php a 7.0 en adelante, puedes seguir nuestra guía si necesitas orientación sobre cómo hacerlo:

https://guias.webempresa.com/preguntas-frecuentes/cambiar-la-version-php/

Verifica con la versión 7.0, si esta no funciona correctamente ve subiendo una a una la mas estable es la 7.3 si quieres puedes validar con esta de momento.

Adicional a esto comentanos como has activado el modo catalogó de tu sitio web? comentanos un poco este detalle si el problema no se solventa aumentando la versión php por que es posible que en esto se encuentre el error.

Un saludo 🖐️ 

ResponderCitar
Respondido : 23/06/2021 2:37 am

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

Luis Antonio
 Luis Antonio
Usuario activo

@argenis Creo que hace años le puse un codigo ... para ponerlo en modo catalogo la web es del 2016

ResponderCitar
Respondido : 23/06/2021 2:39 am
Argenis
 Argenis
Soporte CMS Webempresa Moderator

Hola Luis, 

Es posible que el código esté interfiriendo entre las versiones de wordpress igualmente verifica lo que te comento de la versión php.

De ser posible trata de verificar el código que has agregado ya que es probable que en el mismo se encuentre el problema. Igualmente el código lo has agregado en el tema? en su archivo functions.php? si tienes el codigo aqui puedes cambiar el tema temporalmente y validar si funciona al completo el woocommerce.

Un saludo 🖐️ 

ResponderCitar
Respondido : 23/06/2021 2:50 am

wpdoctor-revisa-la-salud-de-tu-wordpress

Luis Antonio
 Luis Antonio
Usuario activo

@argenis Ya revise y no, no tengo código  activo para ponerlo modo catalogo

ResponderCitar
Respondido : 23/06/2021 2:51 am
Argenis
 Argenis
Soporte CMS Webempresa Moderator

Hola Luis,

Veo que la versión que tienes de php sigue siendo la 5.6, debes seguir los ajustes que te planteamos para que puedas verificar si funcionan de forma correcta, de lo contrario no podremos ayudarte de una forma eficiente. 

Verifica realizar este cambio y nos comentas como te va con esto.

Un saludo 🖐️ 

ResponderCitar
Respondido : 23/06/2021 3:13 am

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Luis Antonio
 Luis Antonio
Usuario activo

@argenis Me marca que tengo la 7.4

ResponderCitar
Respondido : 23/06/2021 5:26 am
Luis Antonio
 Luis Antonio
Usuario activo

Nuevamente se me cayo, ahora intente actualizar elementor. 

ResponderCitar
Respondido : 23/06/2021 5:48 am

Cursos Gratuitos WordPress

Argenis
 Argenis
Soporte CMS Webempresa Moderator

Hola Luis,

Como le comento previamente, verifique desde la 7.0, la mas estable es la 7.3 active dicha versión de php y una vez realizado compruebe si logra editar los productos, en caso de no poder adicional a enviarnos una captura del tipo de error que se muestra en pantalla verifique desactivando todos los complementos.

Excluyendo claramente el complemento de woocommerce, si igualmente esto no solventa el problema cambie momentáneamente el tema que está aplicado es decir de generatepress cambielo a alguno por defecto de wordpress como lo es twentytwenty.

image

Te comparto una captura del asistente virtual stephan donde indica que aún está presente la versión 5.6 de php para el dominio que realizaste la consulta, es este dominio o el problema afecta a otro?

Todo esto son pruebas para descartar un error de compatibilidades y uso de algún código personalizado que tenga activo.

Verifica y nos comentas.

Un saludo 🖐️ 

ResponderCitar
Respondido : 23/06/2021 5:59 am
Luis Antonio
 Luis Antonio
Usuario activo

A mi me marca 7.4 adjunto img

ResponderCitar
Respondido : 23/06/2021 6:10 am

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

Luis Antonio
 Luis Antonio
Usuario activo

== Server Environment ==
Operating System: Linux
Software: Apache
MySQL version: MariaDB Server v10.3.29
PHP Version: 7.4.16
PHP Max Input Vars: 20000
PHP Max Post Size: 128M

 

ResponderCitar
Respondido : 23/06/2021 6:24 am
Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola Luis Antonio.

Lo primero actualiza todo lo que tienes pendiente, plugins, plantilla y WordPress.

Estas utilizando versiones muy desfasadas y es posible que este afectando a lo que comentas.

Es posible que cuando actualizes, WooCommerce pida que actualices la base de datos o te indique que esta actualizando la base de datos en segun plano.

 

Realiza lo que te indico y vamos descartando cosas.

 

Un saludo

ResponderCitar
Respondido : 23/06/2021 9:25 am

wpdoctor-revisa-la-salud-de-tu-wordpress

Luis Antonio
 Luis Antonio
Usuario activo

@pepesoler Si lo que paso fue que puse el respaldo al dia 31 de Enero 2021, por eso salen desfasadas las versiones, pero ya funciona ire actualizando plugin por plugin y probando. Y les comento. 

ResponderCitar
Respondido : 23/06/2021 5:06 pm
Karen Rios
 Karen Rios
Soporte CMS Webempresa Moderator

Hola Luis, 

De acuerdo, quedamos muy atentos como ha ido todo

Un Saludo 

ResponderCitar
Respondido : 23/06/2021 5:24 pm

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress